Bug 12703 - Backport autobuild improvements
Backport autobuild improvements
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.6.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-20 08:55 UTC by Stefan Metzmacher
Modified: 2017-04-21 06:52 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v4-6-test (13.24 KB, patch)
2017-04-07 16:06 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-03-20 08:55:48 UTC
waf uninstall (via BuildContext.install() in Build.py) removes empty
directories all the way up the directory tree.  This means that it
removes test_tmpdir and any empty directories above it.

While this is arguably a waf bug, the simplest solution is to make
test_tmpdir non-empty so it don't get removed.
Comment 1 Stefan Metzmacher 2017-04-07 16:06:32 UTC
Created attachment 13146 [details]
Patches for v4-6-test
Comment 2 Ralph Böhme 2017-04-07 16:31:54 UTC
Reassigning to Karolin for inclusion in 4.6.
Comment 3 Karolin Seeger 2017-04-19 09:25:18 UTC
Pushed to autobuild-v4-6-test.
Comment 4 Karolin Seeger 2017-04-21 06:52:54 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-6-test.
Closing out bug report.

Thanks!